sqoop-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Venkat Ranganathan (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (SQOOP-1172) Make Sqoop compatible with HBase 0.95+
Date Mon, 12 Aug 2013 21:02:49 GMT

    [ https://issues.apache.org/jira/browse/SQOOP-1172?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13737345#comment-13737345
] 

Venkat Ranganathan commented on SQOOP-1172:
-------------------------------------------

We also ran into this internally.    We had to change the dependency to use the client, server
and common modules   

We need to add a new configuration to do that so that we also can support HBase 0.94 and earlier.


                
> Make Sqoop compatible with HBase 0.95+
> --------------------------------------
>
>                 Key: SQOOP-1172
>                 URL: https://issues.apache.org/jira/browse/SQOOP-1172
>             Project: Sqoop
>          Issue Type: Improvement
>    Affects Versions: 1.4.4
>            Reporter: Jarek Jarcec Cecho
>            Assignee: Jarek Jarcec Cecho
>             Fix For: 1.4.5
>
>
> We should prepare Sqoop to be compatible with upcoming new major release of HBase (that
is currently available in version 0.95). I've did preliminary investigation and it seems that
there is no change in API that would break Sqoop. Entire HBase has been however broken from
one monolithic archive into multiple smaller pieces that our build will have to take into
consideration.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message